Package twisted :: Package manhole :: Package ui :: Module gtk2manhole :: Class ManholeClient |
[show private | hide private]
[frames | no frames]

## Class ManholeClient

              Adapter --+
                        |
    Jellyable --+       |
                |       |
     Serializable --+   |
                    |   |
        Referenceable --+
                        |
                       ManholeClient

Method Summary
| `do(self, text)`
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``jellyFor`(self, jellier)` (internal) (inherited from `Referenceable`)
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| `remote_console(self, messages)`
| `remote_listCapabilities(self)`
| `remote_receiveExplorer(self, xplorer)`
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received. (inherited from `Referenceable`)

Class Variable Summary
`tuple` | `__implements__`
`dict` | `capabilities`

Class Variable Details

    ### __implements__ Type: `tuple` Value:
        (<class 'twisted.manhole.service.IManholeClient'>,)

    ### capabilities Type: `dict` Value:
        {'Failure': 'Set'}

Generated by Epydoc 1.1 on Thu May 8 13:16:33 2003 | http://epydoc.sf.net